Subject: bug#48117: 28.0.50; Update of loaddefs.el during normal build is unreliable

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 02 May 2021 09:28:04 +0200

Eli Zaretskii <[email-masked]> writes:

>> 1) autoload generation is slow.
>
> Based on my latest experience, I think this is somewhat exaggerated,
> especially given that our builds became slower lately.

Has it?  I haven't noticed any substantial slow-down...  (Unless you
mean with native-comp switched on.)

In any case, autoload generation takes a substantial chunk of time --
especially since it's single-threaded.  Glenn's suggestion to copy over
ldefs-boot.el (if it's newer) sounds like a good idea to me.  (And I'd
also like if that file was regenerated more often than once a month...)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no